/*
 *  JayTest1jnilib.c
 *  JayTest1
 *
 *  Created by Oleg Kobchenko on 04/21/06.
 *  Copyright (c) 2006 __MyCompanyName__. All rights reserved. 
 *
 */

#include "jay_JayJNI.h"

int JInit();
int JDo(int j, const char*);
int JFree(int j);

JNIEXPORT jint JNICALL Java_jay_JayJNI_JInit(JNIEnv *env, jobject this)
{
	return JInit();
}

JNIEXPORT jint JNICALL Java_jay_JayJNI_JFree(JNIEnv *env, jobject this, jint i)
{
	return JFree(i);
}


JNIEXPORT jint JNICALL Java_jay_JayJNI_JDo(JNIEnv *env, jobject this, jint j, jstring arg)
{
	const char *argutf  = (*env)->GetStringUTFChars(env, arg, JNI_FALSE);
	
	jint rc = JDo(j, argutf);
	
	(*env)->ReleaseStringUTFChars(env, arg, argutf);
	
	return rc;
}
