//
//  JNIWrapper.java
//
//  Created by Oleg Kobchenko on 04/21/06.
//  Copyright (c) 2006 __MyCompanyName__. All rights reserved.
//

package jay;

public class JayJNI {

	public int J = 0;
    static {
        // Ensure native JNI library is loaded
        System.loadLibrary("JayJNI");
    }

    public JayJNI() throws Exception {
		J = JInit();
		if (J == 0) {
			throw new Exception("J creation failed");
		}
    }

    native int JInit();
    native int JFree(int j);
    native int JDo(int j, String arg);

    public void Do(String s) throws Exception {
        int result = JDo(J, s);
		if (result != 0) {
			throw new Exception(""+result);
		}
    }

}
